package com.union.ai.api.dao.mapper;

import com.union.ai.api.dao.model.Role;
import com.union.ai.api.dao.model.RoleCondition;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RoleMapper {
    int countByCondition(RoleCondition example);

    int deleteByCondition(RoleCondition example);

    int deleteById(Integer roleId);

    int insert(Role record);

    int insertSelective(Role record);

    List<Role> selectByCondition(RoleCondition example);

    Role selectById(Integer roleId);

    int updateByConditionSelective(@Param("record") Role record, @Param("example") RoleCondition example);

    int updateByCondition(@Param("record") Role record, @Param("example") RoleCondition example);

    int updateByIdSelective(Role record);

    int updateById(Role record);
}